﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.GridControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            this.WebDataGrid1.Behaviors.CreateBehavior<Sorting>();
            this.WebDataGrid1.Behaviors.Sorting.SortingMode = SortingMode.Single;

            this.WebDataGrid1.Behaviors.Sorting.SortedColumns.Add(this.WebDataGrid1.Columns["Name"], 
                Infragistics.Web.UI.SortDirection.Descending);
            
        }
        
        this.WebDataGrid1.InitializeRow += new InitializeRowEventHandler(WebDataGrid1_InitializeRow);
        this.WebDataGrid1.DataSource = GetData();
       
        
    }

    void WebDataGrid1_InitializeRow(object sender, RowEventArgs e)
    {
        e.Row.Items[1].Template = new CustomItemTemplate(e.Row.Items[1].Value as string);
    }

    

    
    public DataTable GetData()
    {
        DataTable table = new DataTable();
        DataColumn c = new DataColumn("ID", typeof(int));
        table.Columns.Add(new DataColumn("ID", typeof(int)));        
        table.Columns.Add(new DataColumn("Name", typeof(string)));        

       
        for (int i = 1; i < 25; i++)
        {
            DataRow row = table.NewRow();
            row.ItemArray = new object[] { i, "Name "+i  };
            table.Rows.Add(row);
        }

        return table;
    }    




private class CustomItemTemplate : ITemplate
{
        string _name;
        public CustomItemTemplate(string name)
        {
            this._name = name;
        }
        #region ITemplate Members

        public void InstantiateIn(Control container)
        {

            LinkButton l = new LinkButton();
            l.Text = _name;           
            container.Controls.Add(l);
        
        }

        #endregion
}

 
}